# Uses of Enum Class
org.apache.solr.client.solrj.SolrRequest.SolrClientContext

Packages that use SolrRequest.SolrClientContext
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.

## Uses of SolrRequest.SolrClientContext in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj that return SolrRequest.SolrClientContext
Modifier and Type
Method
Description
`SolrRequest.SolrClientContext`
SolrClient.`getContext()`
This method defines the context in which this Solr client is being used (e.g.
`static SolrRequest.SolrClientContext`
SolrRequest.SolrClientContext.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SolrRequest.SolrClientContext[]`
SolrRequest.SolrClientContext.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.